CPIO(1)

NAME
cpio - copy file archives in and out

SYNOPSIS
cpio -o [-aABcLvzZ] [-C bytes] [-F archive] [-H format] [-O archive] < name-list [> archive]
cpio -i [-bBcdfmrsStuvzZ6] [-C bytes] [-E file] [-F archive] [-H format] [-I archive] [pattern ...] [< archive]
cpio -p [-adlLmuv] destination-directory < name-list

DESCRIPTION
The cpio command copies files to and from a cpio archive.

The options are as follows:

-o  Create an archive. Reads the list of files to store in the archive from standard input, and writes the archive on standard output.

    -a  Reset the access times on files that have been copied to the archive.

    -A  Append to the specified archive.

    -B  Set block size of output to 5120 bytes.

    -c  Use ASCII format for cpio header for portability.

    -C bytes
        Set the block size of output to bytes.

    -F archive

    -O archive
        Use the specified file name as the archive to write to.

    -H format
        Write the archive in the specified format. Recognized formats are:

        bcpio
            Old binary cpio format.
        cpio
            Old octal character cpio format.
        sv4cpio
            SVR4 hex cpio format.
        tar Old tar format.
        ustar
            POSIX ustar format.

    -L  Follow symbolic links.

    -v  Be verbose about operations. List filenames as they are written to the archive.

    -z  Compress archive using gzip(1) format.

    -Z  Compress archive using compress(1) format.

-i  Restore files from an archive. Reads the archive file from standard input and extracts files matching the patterns that were specified on the command line.

    -b  Do byte and word swapping after reading in data from the archive, for restoring archives created on systems with a different byte order.

    -B  Set the block size of the archive being read to 5120 bytes.

    -c  Expect the archive headers to be in ASCII format.

    -C bytes
        Read archive written with a block size of bytes.

    -d  Create any intermediate directories as needed during restore.

    -E file
        Read list of file name patterns to extract or list from file.

    -f  Restore all files except those matching the patterns given on the command line.

    -F archive, -I archive
        Use the specified file as the input for the archive.

    -H format
        Read an archive of the specified format. Recognized formats are:

        bcpio
            Old binary cpio format.
        cpio
            Old octal character cpio format.
        sv4cpio
            SVR4 hex cpio format.
        tar Old tar format.
        ustar
            POSIX ustar format.

    -m  Restore modification times on files.

    -r  Rename restored files interactively.

    -s  Swap bytes after reading data from the archive.

    -S  Swap words after reading data from the archive.

    -t  Only list the contents of the archive, no files or directories will be created.

    -u  Overwrite files even when the file in the archive is older than the one that will be overwritten.

    -v  Be verbose about operations. List filenames as they are copied in from the archive.

    -z  Uncompress archive using gzip(1) format.

    -Z  Uncompress archive using compress(1) format.

    -6  Process old-style cpio format archives.

-p  Copy files from one location to another in a single pass. The list of files to copy are read from standard input and written out to a directory relative to the specified directory argument.

    -a  Reset the access times on files that have been copied.

    -d  Create any intermediate directories as needed to write the files at the new location.

    -l  When possible, link files rather than creating an extra copy.

    -L  Follow symbolic links.

    -m  Restore modification times on files.

    -u  Overwrite files even when the original file being copied is older than the one that will be overwritten.

    -v  Be verbose about operations. List filenames as they are copied.

ENVIRONMENT

TMPDIR
    Path in which to store temporary files.

EXIT STATUS
The cpio utility will exit with one of the following values:

0   All files were processed successfully.

1   An error occurred.

Whenever cpio cannot create a file or a link when extracting an archive or cannot find a file while writing an archive, or cannot preserve the user ID, group ID, file mode, or access and modification times when the -p option is specified, a diagnostic message is written to standard error and a non-zero exit value will be returned, but processing will continue. In the case where cpio cannot create a link to a file, cpio will not create a second copy of the file.

If the extraction of a file from an archive is prematurely terminated by a signal or error, cpio may have only partially extracted the file the user wanted. Additionally, the file modes of extracted files and directories may have incorrect file bits, and the modification and access times may be wrong.

If the creation of an archive is prematurely terminated by a signal or error, cpio may have only partially created the archive which may violate the specific archive format specification.

SEE ALSO
pax(1), tar(1)

AUTHORS
Keith Muller at the University of California, San Diego.

BUGS
The -s and -S options are currently not implemented.